Loading...
Searching...
No Matches
Logger::LoggerLayout Class Referenceabstract

Abstract class that defines the interface for logger layouts. More...

Inheritance diagram for Logger::LoggerLayout:
[legend]

## Public Member Functions

abstract string | format (LoggerEvent event)
| Format event record.

## Detailed Description

Abstract class that defines the interface for logger layouts.

Event data (LoggerEvent) are formatted before the record is passed to the target.